Jump to content

Search the Community

Showing results for tags 'convert'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 32 results

  1. Anyone has a code to accomplish this? I am dealing with bunch of poorly converted lines from PDF that used to be AutoCAD text in the drawing. Greatly appreciated!
  2. (Here is a link to the original post I am referencing) Hi Guys, I found this awesome lisp by Renderman/Black Box and I have run it a few times and it worked great those times. Then I tried to run it to convert maybe 20 wipeouts at once and a bunch of them disappeared. I would really like to be able to use this one time once I finish drawing all the wipeouts and not after everyone, but I also don't want to risk some failing to convert and having to redraw a bunch of them. Does anyone see anything that would cause these errors? ;;;--------------------------------------------------------------------; ;;; c:WIPEOUT->REGION ;;; Courtesy of RenderMan, CADTutor.net ;;;--------------------------------------------------------------------; ;;; Description: ;;; Convert all wipeouts within a given drawing to regions. ;;;--------------------------------------------------------------------; ;;; Exit function: (defun WIPEOUT->REGION:Exit (msg) (cond ((not msg)) ; Normal exit ((member msg '("Function cancelled" "quit / exit abort"))) ; <esc> or (quit) ((princ (strcat "\n <!> Error: " msg " <!> ")))) ; Fatal error, display it (WIPEOUT->REGION:Quit)) ;;;--------------------------------------------------------------------; ;;; Quit function: (defun WIPEOUT->REGION:Quit () (setvar 'cmdecho *oldCmdecho*) (setq *oldCmdecho* nil) (setq *error* *oldError* *oldError* nil) (vla-endundomark *activeDoc*) (princ)) ;;;--------------------------------------------------------------------; ;;; Main function: (defun c:WIPEOUT->REGION (/ ss) (vl-load-com) (vla-startundomark (cond (*activeDoc*) ((setq *activeDoc* (vla-get-activedocument (vlax-get-acad-object)))))) ;; Error checking (setq *oldError* *error* *error* WIPEOUT->REGION:Exit) (setq *oldCmdecho* (getvar 'cmdecho)) (setvar 'cmdecho 0) ;; Main code (if (and (setq ss (ssget "_x" '((0 . "WIPEOUT")))) (setq ss (ssget "_x"))) ((lambda (i / e v visList wipList mn mx c) (while (setq e (ssname ss (setq i (1+ i)))) (if (/= "WIPEOUT" (strcase (cdr (assoc 0 (entget e))))) (progn (vla-put-visible (setq v (vlax-ename->vla-object e)) :vlax-false) (setq visList (cons v visList))) (setq wipList (cons e wipList)))) (foreach w wipList (vla-getboundingbox (setq v (vlax-ename->vla-object w)) 'mn 'mx) (setq c (mapcar '* (mapcar '+ (setq mn (vlax-safearray->list mn)) (setq mx (vlax-safearray->list mx))) '(0.5 0.5 0.5))) (vl-cmdf "._boundary" c "") (vl-cmdf "._matchprop" w (entlast) "") (vl-cmdf "._region" "") (vla-delete v)) (foreach o visList (vla-put-visible o :vlax-true))) -1) (prompt "\n <!> No Wipeouts Detected in Currect Drawing <!> ")) (WIPEOUT->REGION:Quit))
  3. I have been trying to figure this out for a couple of days now. The only thing I could find is this LISP that takes the Ellipse properties and uses them to creat an arc. When I use this, the start and end angles are not correct in the drawing. Ellipses must have been drawn in a different UCS). I have tried to get the LISP to use the start and end points of the ellipse along with the radius and center point. For the life of me I cannot figure it out. If anyone knows how to do this please let me know. *NOTE* Elllipses that I am trying to convert have the same minor and major radii. Thanks in advance!! (defun c:e2a (/ acaddoc acadms acadobj center endangle obj radius ss ssn startangle) (vl-load-com) (if (setq ss (ssget '((0 . "ellipse")))) (progn (setq acadobj (vlax-get-acad-object)) (setq acaddoc (vla-get-activeDocument acadobj)) (setq acadms (vla-get-modelspace acaddoc)) (setq ssn (ssname ss 0)) (setq obj (vlax-ename->vla-object ssn)) (if obj ;(equal (vla-get-RadiusRatio obj) 1 0.0001) (progn (setq radius (vla-get-MajorRadius obj)) (setq Startangle (vla-get-Startangle obj)) (setq Endangle (vla-get-Endangle obj)) (setq Center (vlax-get obj 'center)) (entdel ssn) (vla-addarc acadms (vlax-3d-point Center) radius Startangle Endangle) ) ; progn (alert "> Ellipse objects failed to be converted") ) ; if ) ; progn ) ; if (princ) ) ; defun [/Code]
  4. We have a new client who has a disaster of plans, some of them .dwg and some of them this odd .pad file format. For the life of me I cannot find anything on this file type nor can I convert it to dwg which is what I need to complete this leg of work. Can someone pleas chime in and assist me on getting these properly converted if you have prior knowledge. Thanks so much in advance to everyone in the CadTutor community!
  5. Dear All, Do you have any idea how can I convert this type of spline to a "normal" line? I think I get it from Inventor or Mechanical... I cant explode or extend, or add chamfer. Totaly useless! Please help if you can! Thank You! T line.dwg
  6. i am new to all of this. would love to be able to remove all or most vertex's for any and all of my artwork. as for now i need to remove them from a circle. i do not know what the codes are for or how to use them. any help, would help.. i hopesecond sign Y.dxf second sign W.dxf
  7. I have a number of large files that have multiple layers with many simple objects. I wish to have a LISP program that searches the file and for certain layers, it looks for line and arcs that have the same start or end points I.E. a line has one end point that matches an arc or another line start point. Once it has found these, it converts the lines or arc into polylines and joins them together. I have a number of squares or rectangles that are constructed from simple lines and I want to end up with a closed polyline that is the same size as the original rectangle. This could also be an odd shape comprised of arcs and lines that is either open of a closed shape. I wont to convert these to polylines also (either open or closed depending on if the lines are enclosed or open). Can anyone suggest how to write this. I have very little experience of LISP.
  8. Hi guys, I wanna know if someone has a Lisp code to convert a simple table to a real table. The drawing shows a simgle table made by lines and texts. Thanks in Advance.
  9. how do i do this?

    Convert Lines to Polylines

    Hi all, was just wondering how to convert a bunch of lines into one continuous polyline?
  10. Hi all, I've been put in charge of a project to convert roughly 1000 microstation files to autocad. I've googled, but nothing exactly fits the bill. I can put together a lisp routine to do the heavy lifting, but I'm SURE there will be hiccups along the way. The microstation files are circa 2006, so about 9 years old... Any tips or tricks you guys willing to share? I'm doing a quick write up for my boss and we'll probably refine the process a little bit. I feel like I'm a drafter being made into a project manager...kind of exciting Thanks,
  11. lamensterms

    Batch Convert .IPT to .DWG?

    Hey guys, I am in the process of updating our CAD Block Library and I have a collection of .IPT files which I would like to convert to .DWG. I am aware of the IMPORT command, and I am also aware that I can open the .IPT files in Inventor Fusion and save them to DWG from there... but I am going to be performing this conversion a few hundred times and I am just wondering if anyone knows of a good way to batch-convert. Thanks a lot for any help, looking forward to hearing back.
  12. hi i am cleaning up a lot of old drawings each having multiple xrefs. however all are being moved to the current xref folder on the server so the xref path is messed up. we currently utilise a 'no path' xref setting on all drawings but these older ones all have saved paths. anyone know of a quicker way to convert all xrefs to no path as it's taking me all bloody day. thanks
  13. Hello! I am new here and here's my first question: After not using AutoCAD for 4-5 months, I don't know what happened, but now when I tried to convert my DWG to PDF (that I've done successfully a million times in the past) it crashes and the program shuts down. I 've tried doing it both ways: plot... and Convert to PDF (directly from the toolbar). Every time it crashes right when I am supposed to give a name to the file and select "where to save it". What's happening?! I hope I explained the problem well and you know what I'm talking about. Thank you! AutoCAD 2007, OS Windows 7.
  14. Hi, I have an urgent problem that I'd be really grateful for some help with. I've built a model in AutoCAD 2013 - which is the software Ihave available - and I need to export it to SketchUp in order to transfer itfurther to yet another program. But I get stuck on just getting it saved in an old enough AutoCAD-version. It all looks fine in AutoCAD 2013, but when I try saving as a 2007-file and then import it in SketchUp almost everything is lost. The model consists of surfaces, and a few that originally were made in AutoCAD 2000 remain, but all the others are considered incompatible and are simply disregarded. On forums concerning SketchUp it is stated that surfaces based on splines are not supported and I guess all my swept surfaces are then not accepted, but how canI convert my model - or the surfaces - to something edible for SketchUp or even the old AutoCAD 2000-version I still have on my old computer? Exactly the same thing happens there, the surfaces that show up in 2000 are the same that show up in SketchUp. I have tried converting to 2007 and 2000, and just save as 2007 and 2000 drawings, I've broken the connection between the lines used to create the surfaces and the surfaces themselves and nothing seem to help. Its a rather large model that has taken me weeks to build and I should have been finished weeks ago, so I'm a bit desperate and I definitely don't want to have to redo the entire project....
  15. Hi, I am trying to convert a dwg to eps format for use with Adobe Illustrator. I've tried exporting as eps and using conversion software but the output is incomplete and of poor quality with both these options. Does anyone know how I can get a like for like output.? Thanks Al
  16. Hi All, as most of you know, (vl-registry-read) is a good function to get data out of windows registry. It works nice for string and decimal number data, but not works correct for hexadecimal (or binary) data. For example, if you issue this: (vl-registry-read "[b]HKEY_CURRENT_USER\\Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\RecentDocs[/b]" "[b]MRUListEx[/b]") you will find '(3) or something similar as the result, but the data exported by Windows "REGEDIT" command on my PC is as seen below: How is it possible to get hexadecimal (binary) data from registry. (In the following step, I guess I can convert binary data to strings.) Any help, clues or suggestions are greatly appreciated.
  17. Hello, I’m a draftsman and I have a calculator that has feet and inches which of course makes things easy assisting in draft. I was wondering for those who do not have such calculator – I was considering creating a simple iphone app that does just that – add/substruct as well as conversion from metric to imperial and vise versa. Just gauging to see if there is interest. If there is interest, is anyone interested in beta testing such app during development? Thanks, D
  18. I know this is probably a super easy fix, but I just don't know how to do it. I have a macro that works great in my toolbar and/or ribbon, but I want to make it a script so that I can put it in a program such as Multi-batch and use it on several drawings at one time. How do I convert a macro to a script? Basically what the macro currently does is pop my drawing into paperspace, zoom extents, turn off layers I don't need, and change the Ltscale and psltscale to be correct for printing. Any suggestions would be appreciated. Thanks so much. Here is the macro: ^C^C(setvar "pdmode" 0);_tilemode;0;zoom;extents;ltscale;0.5;-layer;f;*A-ANNO-ENGR,*A-SEAL-ASBESTOS,*A-SEAL-CIVIL,*A-SEAL-FIRE,*A-SEAL-ELEC,*A-SEAL-MECH,*A-SEAL-PLUMB,*A-SEAL-STRUCT;;
  19. Hi I created a 3D math surface using 3DPLOT. However my outcome is a polyface mesh and I need to convert it to a solid. I have already tried the "Convert to Solid" & "Convert to Surface" options in the Mesh tab but I get "Mesh not converted because it is not closed or it self-intersects." I also tried the f2s.lsp but I am unsure on how to select my object. Here is my object: https://www.yousendit.com/dl?phi_action=app/orchestrateDownload&rurl=https%253A%252F%252Fwww.yousendit.com%252Ftransfer.php%253Faction%253Dbatch_download%2526batch_id%253DQlVqaUNIQzN3TGhvZE1UQw It is basically a 3D plot of cos(x) + cos(y).
  20. davidjb82

    Revit to DWG

    Hey there. I have a question regarding Revit Architecture 2012. (I'm a noob using it). I'm working on a job that requires me to model buildings in Revit, but then export them back into a standard DWG. The problem is, I need these newly converted files to be editable as if they were drawn in AutoCAD Architecture 2010 (ADT). I've had a go, but it only converts to lines and blocks, which aren't much use to me in ADT Anyone that has read a previous thread by me will know that the client I have is very awkward, and want to do things the hard way! Thank you for your help!
  21. Hello everyone, I am quite new here in this forum and I was expecting some help. Recently I've been working with water distribution models and I just faced a wasting time problem when working with elevation data. People in my office have to look for every elevation data in the topografic dwg and then write down all those numbers one by one in an Excel spreadsheet. I think this process is kinda waste of time, so I came here looking for some help. If anyone could help me I would apreciate it very much. Basicaly, what I do actualy need is a lisp routine capable of converting a 3Dpolyline to a 2Dpolyline but changing also the 3D polylines' vector Z to the 2D polylines' elevation. For example: if I have a 3d polyline with vector Z value of 350 (meters), I want the lisp program to turn it into a 2D polyline with Elevation value of 350. Thanks in advance..
  22. I'm having problems plotting to PDF's and maintaining the line weights etc.. that I get when I print to my plotter. It seems like Adobe Acrobat Pro 9 converts based on the color of my pens.... the lighter color value i.e. yellow, the lighter the grey tone. white is darkest. It ignores my lineweight settings, so I have no control on the quality of the output. Is it possible to get it to use the .ctb files that my plotter uses when creating it's PDF? I'm using AutoCAD LT 2010.
  23. Hi everyone, I want to change a helix to a 2d object as shown in current view (the current view isn't necessarily plan view or front view, etc.) Any suggestions is greatly appreciated
  24. Good Morning All, I have recently started using AutoCAD 3D Plant 2011. I am trying to create a catalogue of Valves that we use on site by getting all the 3D blocks from suppliers. A few of our suppliers are sending me STEP files. Would anyone be able to explain what programme these are from and if they can be converted to a format that can be used by AutoCAD? Thanks in advance
  25. I have a dwg sent to me i think it was in metric they provided no scale I need to have it in units of feet, inches. one distance that came with the dwg shows as 111 996 another dim that i know from another dwg at scale of 1=20 measures about 24'-6 that dim shows as 7-5/8 not sure what to do that will make the dwg work. any suggestions.
×